select sum(t.fyearorderamount)  fyearorderamount,
       sum(t.fmonthorderamount) fmonthorderamount,
       sum(t.fagentqty)         fagentqty,
       sum(t.fstoreqty)         fstoreqty,
       sum(t.farchiveqty)       farchiveqty
from (
         select sum(forderamount)                                                           fyearorderamount,
                SUM(case when MONTH(fdate) = MONTH(GETDATE()) then forderamount else 0 end) fmonthorderamount,
                0                                                                           fagentqty,
                0                                                                           fstoreqty,
                0                                                                           farchiveqty
         from tcustomer_reception
         where siteid = $siteid$
           and year(fdate) = year(getdate())
         union all
         select 0, 0, count(0), 0, 0
         from tagents
         where siteid = $siteid$
         union all
         select 0, 0, 0, count(0), 0
         from tstore
         where siteid = $siteid$
         union all
         select 0, 0, 0, 0, count(0)
         from tarchives
         where siteid = $siteid$
           and fstatus = '·¢²¼'
     ) t